package com.example.wholeestate.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 收藏表
 * </p>
 *
 * @author weiximei
 * @since 2019-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_collection")
public class TaCollection implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    private String customerId;

    /**
     * 楼盘ID
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;


}
