package com.example.wholeestate.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.dao.PageImgMapper;
import com.example.wholeestate.model.PageImg;
import com.example.wholeestate.service.IPageImgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-22
 */
@Service
public class PageImgServiceImpl extends ServiceImpl<PageImgMapper, PageImg> implements IPageImgService {
@Autowired
private  PageImgMapper pageImgMapper;
    @Override
    public ResponseBean apageImgSelect(String id) {
        ResponseBean responseBean= new ResponseBean();
        QueryWrapper<PageImg> pageImgQueryWrapper = new QueryWrapper<>();
        if (null!=id) {
            pageImgQueryWrapper.eq("page_id", id);
            PageImg rageImg = pageImgMapper.selectOne(pageImgQueryWrapper);
            responseBean.addSuccess(rageImg);
            return responseBean;
        }
        List<PageImg> pageImgList= pageImgMapper.selectImgList();
        responseBean.addSuccess(pageImgList);
        return responseBean;
    }
}
